org.apache.ode.bpel.elang.xpath20.o

## Class OXPath20ExpressionBPEL20

- java.lang.Object
- - org.apache.ode.bpel.o.OBase
  - - org.apache.ode.bpel.o.OExpression
    - - org.apache.ode.bpel.o.OLValueExpression
      - - org.apache.ode.bpel.elang.xpath10.o.OXPath10Expression
        - - org.apache.ode.bpel.elang.xpath10.o.OXPath10ExpressionBPEL20
          - - org.apache.ode.bpel.elang.xpath20.o.OXPath20ExpressionBPEL20

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    OXQuery10ExpressionBPEL20

      public class OXPath20ExpressionBPEL20
      extends OXPath10ExpressionBPEL20

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ode.bpel.elang.xpath10.o.OXPath10Expression

      `OXPath10Expression.OSigGetVariableData`

  - ### Field Summary

    - ### Fields inherited from class org.apache.ode.bpel.elang.xpath10.o.OXPath10ExpressionBPEL20

      `isJoinExpression, qname_doXslTransform`

    - ### Fields inherited from class org.apache.ode.bpel.elang.xpath10.o.OXPath10Expression

      `links, namespaceCtx, properties, qname_getLinkStatus, qname_getVariableData, qname_getVariableProperty, vars, xpath, xslSheets`

    - ### Fields inherited from class org.apache.ode.bpel.o.OLValueExpression

      `insertMissingData`

    - ### Fields inherited from class org.apache.ode.bpel.o.OExpression

      `expressionLanguage`

    - ### Fields inherited from class org.apache.ode.bpel.o.OBase

      `debugInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OXPath20ExpressionBPEL20(OProcess owner, javax.xml.namespace.QName qname_getVariableData, javax.xml.namespace.QName qname_getVariableProperty, javax.xml.namespace.QName qname_getLinkStatus, javax.xml.namespace.QName qname_doXslTransform, boolean isJoinExpression)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `net.sf.saxon.expr.Expression` | `getCompiledExpr()`
    `void` | `setCompiledExpr(net.sf.saxon.expr.Expression compiledExpr)`

    - ### Methods inherited from class org.apache.ode.bpel.elang.xpath10.o.OXPath10ExpressionBPEL20

      `toString`

    - ### Methods inherited from class org.apache.ode.bpel.elang.xpath10.o.OXPath10Expression

      `addGetVariableDataSig, getVariable, getXslSheet, resolveGetVariableDataSig, setXslSheet`

    - ### Methods inherited from class org.apache.ode.bpel.o.OExpression

      `getExpressionLanguage`

    - ### Methods inherited from class org.apache.ode.bpel.o.OBase

      `dehydrate, digest, equals, getId, getOwner, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OXPath20ExpressionBPEL20

          public OXPath20ExpressionBPEL20(OProcess owner,
                                  javax.xml.namespace.QName qname_getVariableData,
                                  javax.xml.namespace.QName qname_getVariableProperty,
                                  javax.xml.namespace.QName qname_getLinkStatus,
                                  javax.xml.namespace.QName qname_doXslTransform,
                                  boolean isJoinExpression)

  - ### Method Detail

    - #### getCompiledExpr

          public net.sf.saxon.expr.Expression getCompiledExpr()

    - #### setCompiledExpr

          public void setCompiledExpr(net.sf.saxon.expr.Expression compiledExpr)